/////////////////////////////////////////////////////////////////////
// SHADPASS.S
/////////////////////////////////////////////////////////////////////

SETUP

	IF !gt_PLACED_SHADPASS_GUARDS
		Add gt_PLACED_SHADPASS_GUARDS

		PlaceC SHADPASS_BK_A1 pBK_A1
		PlaceC SHADPASS_BK_A2 pBK_A2
		PlaceC SHADPASS_BK_B1 pBK_B1
		PlaceC SHADPASS_BK_B2 pBK_B2
		PlaceC SHADPASS_BK_C1 pBK_C1
		PlaceC SHADPASS_BK_C2 pBK_C2
		PlaceC SHADPASS_BK_D1 pBK_D1
		PlaceC SHADPASS_BK_D2 pBK_D2

	ENDIF

	IF mj_BLOODMASTER_BANE

		IF !gt_BLOODLAND_MUSTER

			RemoveC P
			PlaceC P pP_MUSTER
			camcut P

			SetPCModel				PCstage2
			ChangeProfilePortrait P	PC2.BIN

			PlaceC BLAND_BKIN_A1 pBK1_A1
			PlaceC BLAND_BKIN_A2 pBK1_A2
			PlaceC BLAND_BKIN_A3 pBK1_A3
			PlaceC BLAND_BKIN_B1 pBK1_B1
			PlaceC BLAND_BKIN_B2 pBK1_B2
			PlaceC BLAND_BKIN_B3 pBK1_B3
			PlaceC BLAND_BKIN_C1 pBK1_C1
			PlaceC BLAND_BKIN_C2 pBK1_C2
			PlaceC BLAND_BKIN_C3 pBK1_C3
			PlaceC BLAND_BKIN_D1 pBK1_D1
			PlaceC BLAND_BKIN_D2 pBK1_D2
			PlaceC BLAND_BKIN_D3 pBK1_D3
			PlaceC BANE pBANE_1

			MoveCDir BLAND_BKIN_A1 pBK2_A1
			MoveCDir BLAND_BKIN_A2 pBK2_A2
			MoveCDir BLAND_BKIN_A3 pBK2_A3
			MoveCDir BLAND_BKIN_B1 pBK2_B1
			MoveCDir BLAND_BKIN_B2 pBK2_B2
			MoveCDir BLAND_BKIN_B3 pBK2_B3
			MoveCDir BLAND_BKIN_C1 pBK2_C1
			MoveCDir BLAND_BKIN_C2 pBK2_C2
			MoveCDir BLAND_BKIN_C3 pBK2_C3
			MoveCDir BLAND_BKIN_D1 pBK2_D1
			MoveCDir BLAND_BKIN_D2 pBK2_D2
			MoveCDir BLAND_BKIN_D3 pBK2_D3

		ENDIF
		IDoorOpen dSPASS_1
		IDoorOpen dSPASS_2
		IDoorOpen dSPASS_3
	ELSE
		IDoorLocked dSPASS_1
		IDoorClosed dSPASS_2
		IDoorClosed dSPASS_3
	ENDIF

END

VIG TempSetup FALSE

	Set	gd_WEATHER_TYPE	0
	Set gd_WIND_TYPE	3
    RunS CueWeather

	
	IF !mj_BLOODMASTER_BANE
		CachePortrait BKINMAN1.BIN
		CachePortrait BKINMAN2.BIN
		CachePortrait BKINMAN3.BIN
		CachePortrait BKINMAN4.BIN
	ELSE
		CachePortrait LORDBANE.BIN
		CachePortrait CREDO.BIN
	ENDIF

END

/////////////////////////////////////////////////////////////////////

VIG BaneRalliesTroops mj_BLOODMASTER_BANE && !gt_BLOODLAND_MUSTER
widescreen true
camcut pos02	
setcammoveconstant 2
campan pos01
Add gt_BLOODLAND_MUSTER

	RunS QPalFadeRPG

	Wait 1500

	//"...ready to march...once we commit...no turning back."
	Say lb0021

	UUCameraComplete
setcammovenormal
	camcut P
widescreen false
END

/////////////////////////////////////////////////////////////////////

VIG TalkToBane MSG-iBANE

	//"Are you prepared for battle, Young Moon? If so, then let us march!"
	Say lb0023

	IF !gt_MUSTER_FACE_EXIT
		Add gt_MUSTER_FACE_EXIT

		AddControl BLAND_BKIN_A1 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_A2 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_A3 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_B1 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_B2 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_B3 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_C1 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_C2 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_C3 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_D1 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_D2 LookAtTurnFollow BANE
		AddControl BLAND_BKIN_D3 LookAtTurnFollow BANE
		MoveC BANE pBANE_X
		AddControl BANE LookAtTurnFollow P
	ENDIF		

END

/////////////////////////////////////////////////////////////////////

VIG TalkToBKInCombat1 MSG-iBLAND_BKIN_A2 || MSG-iBLAND_BKIN_C3 || MSG-iBLAND_BKIN_D2

	//"For the White Moon!"
	QuickSay bk0003 CREDO.BIN

END

/////////////////////////////////////////////////////////////////////

VIG TalkToBKInCombat2 MSG-iBLAND_BKIN_A1 || MSG-iBLAND_BKIN_A3 || MSG-iBLAND_BKIN_D3 || MSG-iBLAND_BKIN_E1 || MSG-iBLAND_BKIN_E2

	//"For the White Moon!"
	QuickSay bk0003 BKINMAN3.BIN

END

/////////////////////////////////////////////////////////////////////

VIG TalkToBKInCombat3 MSG-iBLAND_BKIN_B1 || MSG-iBLAND_BKIN_C1 || MSG-iBLAND_BKIN_B3

	IF LANG-French || LANG-Dutch || LANG-German
		//"For the White Moon!"
		QuickSay bk0003 BKINMAN1.BIN
	ELSE
		//"For Tortalaran and the Blood!"
		QuickSay bk0008 BKINMAN1.BIN
	ENDIF

END

/////////////////////////////////////////////////////////////////////

VIG TalkToBKInCombat4 MSG-iBLAND_BKIN_B2 || MSG-iBLAND_BKIN_C2 || MSG-iBLAND_BKIN_D1 || MSG-iBLAND_BKIN_E3

	IF LANG-French || LANG-Dutch || LANG-German
		//"For the White Moon!"
		QuickSay bk0003 BKINMAN4.BIN
	ELSE
		//"For Tortalaran and the Blood!"
		QuickSay bk0008 BKINMAN4.BIN
	ENDIF

END

/////////////////////////////////////////////////////////////////////

VIG TalkToBKA MSG-iSHADPASS_BK_A1 || MSG-iSHADPASS_BK_A2

	IF mj_RESCUE_BANE
		SWITCH RAND-2
			CASE 0
				//"Listen close...a Thardolin ship was sighted..."
				Say bkm003 BKINMAN1.BIN
			CASE 1
				//"Hail, brother. Our war against Lightstealer goes well."
				Say bkm002 BKINMAN1.BIN
				Add co_LIGHTSTEALER
		ENDSWITCH
	ELSE
		//"I am forbidden to speak with you, stranger."
		Say bkm001 BKINMAN1.BIN
	ENDIF

END

/////////////////////////////////////////////////////////////////////

VIG TalkToBKB MSG-iSHADPASS_BK_B1 || MSG-iSHADPASS_BK_B2

	IF mj_RESCUE_BANE
		SWITCH RAND-2
			CASE 0
				//"Listen close...a Thardolin ship was sighted..."
				Say bkm003 BKINMAN2.BIN
			CASE 1
				//"Hail, brother. Our war against Lightstealer goes well."
				Say bkm002 BKINMAN2.BIN
				Add co_LIGHTSTEALER
		ENDSWITCH
	ELSE
		//"I am forbidden to speak with you, stranger."
		Say bkm001 BKINMAN2.BIN
	ENDIF

END

/////////////////////////////////////////////////////////////////////

VIG TalkToBKC MSG-iSHADPASS_BK_C1 || MSG-iSHADPASS_BK_C2

	IF mj_RESCUE_BANE
		SWITCH RAND-2
			CASE 0
				//"Listen close...a Thardolin ship was sighted..."
				Say bkm003 BKINMAN3.BIN
			CASE 1
				//"Hail, brother. Our war against Lightstealer goes well."
				Say bkm002 BKINMAN3.BIN
				Add co_LIGHTSTEALER
		ENDSWITCH
	ELSE
		//"I am forbidden to speak with you, stranger."
		Say bkm001 BKINMAN3.BIN
	ENDIF

END

/////////////////////////////////////////////////////////////////////

VIG TalkToBKD MSG-iSHADPASS_BK_D1 || MSG-iSHADPASS_BK_D2

	IF mj_RESCUE_BANE
		SWITCH RAND-2
			CASE 0
				//"Listen close...a Thardolin ship was sighted..."
				Say bkm003 BKINMAN4.BIN
			CASE 1
				//"Hail, brother. Our war against Lightstealer goes well."
				Say bkm002 BKINMAN4.BIN
				Add co_LIGHTSTEALER
		ENDSWITCH
	ELSE
		//"I am forbidden to speak with you, stranger."
		Say bkm001 BKINMAN4.BIN
	ENDIF

END

/////////////////////////////////////////////////////////////////////

VIG GuardsWarnPlayer !gt_SHAD_GUARD_WARNING && DISTFROM-P-SHADPASS_BK_B1-4 && !mj_BLOODMASTER_BANE

	Add gt_SHAD_GUARD_WARNING

	LookAtTurnFollow SHADPASS_BK_A1 P
	IF !POS-P-alvaris_key
		LookAtTurnFollow SHADPASS_BK_B1 P
	ENDIF

	//"Turn back, traveller. You may not pass, here."
	Say bk0001 BKINMAN1.BIN


	IF POS-P-alvaris_key
		LookAtTurn SHADPASS_BK_B1 P
		UUComplete SHADPASS_BK_B1

		Capture SHADPASS_BK_B1 cM_CHANT_NOD
		AddControl SHADPASS_BK_B1 LookAtTurnFollow P

		//"Despite the talisman you bear, you may not pass here. Turn back, traveller."
		Say bk001a BKINMAN2.BIN
	ENDIF
END

/////////////////////////////////////////////////////////////////////

VIG GuardsReturnToDuty gt_SHAD_GUARD_WARNING && !DISTFROM-P-SHADPASS_BK_B1-4 && !mj_BLOODMASTER_BANE

	Remove gt_SHAD_GUARD_WARNING
	
	MoveCDir SHADPASS_BK_A1 pBK_A1
	MoveCDir SHADPASS_BK_B1 pBK_B1

END

/////////////////////////////////////////////////////////////////////

